<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TIGL: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIGL
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Macros</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">bi_vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classbi__vertex.html">bi_vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classVertexBase.html#a34eb81edd484f2c867317fa8020a70e8">addEdge</a>(EdgeType &amp;x)</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexBase.html#abe5ac40c01303629cf1ded76fccd5fc9">addEdge</a>(ID_TYPE &amp;target)</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexBase.html#a74baae25363b379b03e47cdb980ff6a1">addEdge</a>(OUT_EDGE_BUF &amp;x)</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classbi__vertex.html#aeea9f91fde4d68ff4883f5e0b08853f7">addInEdge</a>(EdgeType &amp;x)</td><td class="entry"><a class="el" href="classbi__vertex.html">bi_vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classbi__vertex.html#ae2cd3a6474573bde3f517e06a91ff9b6">addInEdge</a>(IdType &amp;src)</td><td class="entry"><a class="el" href="classbi__vertex.html">bi_vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexBase.html#a1194c063341fb9886a4836d30baaec86">algData</a></td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexBase.html#a998b9ff387f81cf03698afc0f03d285d">clearEdges</a>()</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexBase.html#a8d95b1a399f35f2041ad3f427d607d8f">get_edge</a>(ID_TYPE target)</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classbi__vertex.html#ad8d9af58a7f793657b332245077e93ee">get_parents</a>(vector&lt; IdType &gt; &amp;vectParents)</td><td class="entry"><a class="el" href="classbi__vertex.html">bi_vertex&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexBase.html#a5518145dfac6cccf6a953844db832437">get_value</a>()</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexBase.html#a507b6bc82839feae98ad222affa1c6bd">getAlgData</a>()</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexBase.html#ad400ab868eb9d01dc4a54eecdd42af80">getBeginOutEdgeIterator</a>()</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexBase.html#a020e6811758e3aa6dbfca82a5032ef8e">getChildren</a>(vector&lt; IdType &gt; &amp;vectChildren)</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexBase.html#a1407b2b9e0feaa5673d4453a1f2b68f5">getEndOutEdgeIterator</a>()</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexBase.html#a80eb6cd8ce4211480a2a14690701142f">getId</a>()</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexBase.html#a093103af72a37ba4f79cb3a8795d7bac">getNumDifferentNbr</a>()</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexBase.html#aa2ee1c3555c41d6c5d5158c7db87e553">getNumOutEdges</a>()</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexBase.html#a68eb54bdc5fc2b3af1396af8e78fda05">id</a></td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexBase.html#a64bf2204455cd6fcfbe09250bfb5ce8e">isConnected</a>(IdType node)</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexBase.html#a73d57311fa56ef50a2d49ac4002d534c">outEdges</a></td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexBase.html#ab006f12fd9aeec205ea897c20e59510c">removeEdge</a>(IdType &amp;target)</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classVertexBase.html#adb1a2b93398a600c6f3ec63b07b5d298">TIGLContainersVertexBase</a>(IdType key)</td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classVertexBase.html#acfa725b9d37b7b7db14b070df9eb6be9">vertexData</a></td><td class="entry"><a class="el" href="classVertexBase.html">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Jan 19 2015 14:39:59 for TIGL by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
